curl --request PUT \
--url https://{tenant}.ekso.app/api/container/{containerId}/filter/{filterId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"entity": "<string>",
"containerId": "<string>",
"name": "<string>",
"active": true,
"criteria": {
"container": [
"<string>"
],
"conditionGroup": [
{
"condition": [
{
"id": "<string>",
"leftSide": "<string>",
"rightSide": "<string>",
"operator": 123
}
]
}
],
"includeClosed": true,
"sortField": "<string>",
"sortDescending": true
},
"tenantId": "<string>",
"id": "<string>",
"created": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"updated": "2023-11-07T05:31:56Z",
"updatedBy": "<string>",
"deleted": true
}
'JWT Bearer token. Obtain via the OAuth 2.0 token endpoint.
The unique identifier of the container.
The unique identifier of the filter.
The filter with updated values.
Filter updated successfully.
curl --request PUT \
--url https://{tenant}.ekso.app/api/container/{containerId}/filter/{filterId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"entity": "<string>",
"containerId": "<string>",
"name": "<string>",
"active": true,
"criteria": {
"container": [
"<string>"
],
"conditionGroup": [
{
"condition": [
{
"id": "<string>",
"leftSide": "<string>",
"rightSide": "<string>",
"operator": 123
}
]
}
],
"includeClosed": true,
"sortField": "<string>",
"sortDescending": true
},
"tenantId": "<string>",
"id": "<string>",
"created": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"updated": "2023-11-07T05:31:56Z",
"updatedBy": "<string>",
"deleted": true
}
'